<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminVerlaengernDialog;

abstract class TerminVerlaengernDialogPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getViewModel()
  {
    $viewModel = $this->getNewViewModel();
    $viewModel->fristErreicht = $this->useCaseResponse->fristErreicht;
    $viewModel->datumNeueKurstage = $this->useCaseResponse->datumNeueKurstage;
    $viewModel->toolId = $this->useCaseResponse->toolId;
    $viewModel->knr = $this->useCaseResponse->knr;
    $viewModel->belegId = $this->useCaseResponse->belegId;

    return $viewModel;
  }

  protected function getNewViewModel(): TerminVerlaengernDialogViewModel
  {
    return new TerminVerlaengernDialogViewModel();
  }
}